
if BUNDLE
  votabledir = $(prefix)/share/munipack
  XFLAGS= -DMUNIPACK_DATA_DIR=\"$(BUNDLEDIR)/share/munipack\"
else
  votabledir = $(pkgdatadir)
  XFLAGS= -DMUNIPACK_DATA_DIR=\"$(pkgdatadir)\"
endif

AM_CPPFLAGS = -DwxUSE_GUI=0 -I$(top_srcdir)/include $(WX_CXXFLAGS_VO) $(XFLAGS)
AM_LDFLAGS = @LIBGCC@ @LIBSTDCPP@
LDADD = libvotable.a $(top_srcdir)/lib/libmfitsio.a \
        $(WX_LIBS_VO) $(LIBCFITSIO) $(LIBM)

pkglibexec_PROGRAMS = cone votable sesame
noinst_LIBRARIES = libvotable.a libvocatconf.a

cone_SOURCES = cone.cpp
votable_SOURCES = votab.cpp
sesame_SOURCES = vosesame.cpp sesame.cpp
libvocatconf_a_SOURCES = vocatconf.cpp
libvotable_a_SOURCES = voclient.cpp fitstable.cpp txtable.cpp csvtable.cpp \
     svgcanvas.cpp common.cpp votable.cpp

dist_votable_DATA = VOcat_conf.xml
